| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XSNamespaceItem Class Reference

This class contains all properties of the Schema Namespace Information infoitem. More...

Inheritance diagram for XSNamespaceItem:

[legend]
List of all members.

## Public Member Functions

Constructors
| XSNamespaceItem (XSModel *const xsModel, SchemaGrammar *const grammar, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
| XSNamespaceItem (XSModel *const xsModel, const XMLCh *const schemaNamespace, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSNamespaceItem ()
XSNamespaceItem methods
const XMLCh * | getSchemaNamespace ()
| [schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document.
XSNamedMap< XSObject > * | getComponents (XSConstants::COMPONENT_TYPE objectType)
| [schema components]: a list of top-level components, i.e.
XSAnnotationList * | getAnnotations ()
| [annotations]: a set of annotations.
XSElementDeclaration * | getElementDeclaration (const XMLCh *name)
| Convenience method.
XSAttributeDeclaration * | getAttributeDeclaration (const XMLCh *name)
| Convenience method.
XSTypeDefinition * | getTypeDefinition (const XMLCh *name)
| Convenience method.
XSAttributeGroupDefinition * | getAttributeGroup (const XMLCh *name)
| Convenience method.
XSModelGroupDefinition * | getModelGroupDefinition (const XMLCh *name)
| Convenience method.
XSNotationDeclaration * | getNotationDeclaration (const XMLCh *name)
| Convenience method.
StringList * | getDocumentLocations ()
| [document location] - a list of locations URI for the documents that contributed to the XSModel.

## Protected Attributes

MemoryManager *const | fMemoryManager
SchemaGrammar * | fGrammar
XSModel * | fXSModel
XSNamedMap< XSObject > * | fComponentMap [XSConstants::MULTIVALUE_FACET]
XSAnnotationList * | fXSAnnotationList
RefHashTableOf< XSObject > * | fHashMap [XSConstants::MULTIVALUE_FACET]
const XMLCh * | fSchemaNamespace

## Friends

class | XSModel
class | XSObjectFactory

## Detailed Description

This class contains all properties of the Schema Namespace Information infoitem.

These items correspond to the result of processing a schema document and all its included/redefined schema documents. It corresponds to the schema component discussed in the schema specifications, but since it is not like other components does not inherit from the XSObject interface. This is *always* owned by the validator /parser object from which it is obtained. It is designed to be subclassed; subclasses will specify under what conditions it may be relied upon to have meaningful contents.

## Constructor & Destructor Documentation

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | SchemaGrammar *const | grammar,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

The default constructor.

Parameters:

  | xsModel |
  | grammar |
  | manager | The configurable memory manager

XSNamespaceItem::XSNamespaceItem | ( | XSModel *const | xsModel,
|  | const XMLCh *const | schemaNamespace,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

XSNamespaceItem::~XSNamespaceItem | ( |  | ) |

## Member Function Documentation

XSAnnotationList * XSNamespaceItem::getAnnotations | ( |  | ) |

| [annotations]: a set of annotations.

XSAttributeDeclaration* XSNamespaceItem::getAttributeDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute declaration.

Parameters:

  | name | The name of the declaration.

Returns:
  A top-level attribute declaration or `null` if such declaration does not exist.

XSAttributeGroupDefinition* XSNamespaceItem::getAttributeGroup | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level attribute group definition.

Parameters:

  | name | The name of the definition.

Returns:
  A top-level attribute group definition or `null` if such definition does not exist.

XSNamedMap<XSObject>* XSNamespaceItem::getComponents | ( | XSConstants::COMPONENT_TYPE | objectType | ) |

[schema components]: a list of top-level components, i.e.

element declarations, attribute declarations, etc.

Parameters:

  | objectType | The type of the declaration, i.e. `ELEMENT_DECLARATION`, `TYPE_DEFINITION` and any other component type that may be a property of a schema component.

Returns:
  A list of top-level definition of the specified type in `objectType` or `null`.

StringList* XSNamespaceItem::getDocumentLocations | ( |  | ) |

| [document location] - a list of locations URI for the documents that contributed to the XSModel.

XSElementDeclaration* XSNamespaceItem::getElementDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level element declaration.

Parameters:

  | name | The name of the declaration.

Returns:
  A top-level element declaration or `null` if such declaration does not exist.

XSModelGroupDefinition* XSNamespaceItem::getModelGroupDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level model group definition.

Parameters:

  | name | The name of the definition.

Returns:
  A top-level model group definition definition or `null` if such definition does not exist.

XSNotationDeclaration* XSNamespaceItem::getNotationDeclaration | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level notation declaration.

Parameters:

  | name | The name of the declaration.

Returns:
  A top-level notation declaration or `null` if such declaration does not exist.

const XMLCh * XSNamespaceItem::getSchemaNamespace | ( |  | ) |

| [schema namespace]: A namespace name or `null` corresponding to the target namespace of the schema document.

XSTypeDefinition* XSNamespaceItem::getTypeDefinition | ( | const XMLCh * | name | ) |

Convenience method.

Returns a top-level simple or complex type definition.

Parameters:

  | name | The name of the definition.

Returns:
  An `XSTypeDefinition` or `null` if such definition does not exist.

## Friends And Related Function Documentation

friend class XSModel`[friend]`

friend class XSObjectFactory`[friend]`

## Member Data Documentation

XSNamedMap<XSObject>* XSNamespaceItem::fComponentMap[XSConstants::MULTIVALUE_FACET]`[protected]`

SchemaGrammar* XSNamespaceItem::fGrammar`[protected]`

RefHashTableOf<XSObject>* XSNamespaceItem::fHashMap[XSConstants::MULTIVALUE_FACET]`[protected]`

MemoryManager* const XSNamespaceItem::fMemoryManager`[protected]`

const XMLCh* XSNamespaceItem::fSchemaNamespace`[protected]`

XSAnnotationList* XSNamespaceItem::fXSAnnotationList`[protected]`

XSModel* XSNamespaceItem::fXSModel`[protected]`

The documentation for this class was generated from the following file:

- XSNamespaceItem.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.